gstreamermm: Gst::ClockOverlay Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::ClockOverlay Class Reference
gstreamermm Plugins

A Wrapper for the clockoverlay plugin. More...

Inheritance diagram for Gst::ClockOverlay:
[legend]
Collaboration diagram for Gst::ClockOverlay:
[legend]

List of all members.

## Public Member Functions
virtual | ~ClockOverlay ()
GstClockOverlay* | gobj ()
| Provides access to the underlying C GObject.
const GstClockOverlay* | gobj () const
| Provides access to the underlying C GObject.
GstClockOverlay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_time_format ()
| Format to use for time and date value, as in strftime.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_time_format () const
| Format to use for time and date value, as in strftime.
## Static Public Member Functions
static Glib::RefPtr< ClockOverlay > | create ()
| Creates a new clockoverlay plugin with a unique name.
static Glib::RefPtr< ClockOverlay > | create (const Glib::ustring& name)
| Creates a new clockoverlay plugin with the given name.
## Protected Member Functions
| ClockOverlay ()
| ClockOverlay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::ClockOverlay > | wrap (GstClockOverlay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the clockoverlay plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::ClockOverlay::~ClockOverlay | ( |  | ) | `[virtual]`

Gst::ClockOverlay::ClockOverlay | ( |  | ) | `[protected]`

Gst::ClockOverlay::ClockOverlay | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<ClockOverlay> Gst::ClockOverlay::create | ( |  | ) | `[static]`

Creates a new clockoverlay plugin with a unique name.

Reimplemented from Gst::TextOverlay.

static Glib::RefPtr<ClockOverlay> Gst::ClockOverlay::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new clockoverlay plugin with the given name.

Reimplemented from Gst::TextOverlay.

const GstClockOverlay* Gst::ClockOverlay::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TextOverlay.

GstClockOverlay* Gst::ClockOverlay::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TextOverlay.

GstClockOverlay* Gst::ClockOverlay::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::TextOverlay.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::ClockOverlay::property_time_format | ( |  | ) | const

Format to use for time and date value, as in strftime.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::ClockOverlay::property_time_format | ( |  | ) |

Format to use for time and date value, as in strftime.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::ClockOverlay > wrap | ( | GstClockOverlay * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/clockoverlay.h